﻿using System;
using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 바
        /// </summary>
        private Bar bar;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "Bar 클래스 : TickLines 속성을 사용해 틱 라인 표시하기";

            this.tChart.Panel.Pen = new ChartPen(Color.Black);

            this.bar = new Bar();

            this.bar.Color             = Color.FromArgb(254, 0, 255, 255);
            this.bar.TickLines.Visible = true;

            this.bar.FillSampleValues();

            this.tChart.Series.Add(this.bar);

            this.tickLineButtonPen.Pen = this.bar.TickLines;

            this.showTickLineCheckBox.Checked = true;

            this.showTickLineCheckBox.CheckedChanged += showTickLineCheckBox_CheckedChanged;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private
        //////////////////////////////////////////////////////////////////////////////// Event

        #region 틱 라인 표시 체크 박스 체크 변경시 처리하기 - showTickLineCheckBox_CheckedChanged(sender, e)

        /// <summary>
        /// 틱 라인 표시 체크 박스 체크 변경시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void showTickLineCheckBox_CheckedChanged(object sender, EventArgs e)
        {
            this.bar.TickLines.Visible = this.showTickLineCheckBox.Checked;

            this.tickLineButtonPen.Invalidate();
        }

        #endregion
    }
}